.pflicht::after { content: "*"; color: red;}

#tit{ margin-left: 200px; }
#U {color: rgb(230, 14, 14); }

header h1 {
    margin-left: 10px;
    margin-right: 700px;
    border-radius: 5px;
    background-color: rgb(238, 231, 222);
    text-shadow: 3px 3px 1px rgba(128, 128, 128, 0.575);
}
#choice { position: relative; }
h2 { color: rgb(120, 110, 129);}

h1 { color: rgba(236, 47, 0, 0.829);}

#M3 {color: black; }


form input:valid {
    background-color: rgb(168, 191, 206);
}

form input:invalid {
    background-color: rgb(170, 238, 170);
}

form input:required {
    border-width: 2px;
    border-color:black;
}

nav a:hover{
    background-color: rgb(216, 68, 63);
}

.navi { color: rgb(87, 0, 45);   
}

form fieldset{
    border-radius: 5px;
    background-color: rgb(238, 180, 200);
    margin: 5px;
    padding: 5px;
}

footer { 

    margin-left: 10px;  
    bottom: 5px;
  
}  


.inline { 
    display: inline; margin: 5px;
   
} 

#m { background-color: rgb(228, 158, 183) ;
     margin-bottom: 10px;
}

aside {
    background-color: rgb(230, 170, 200);
    border: 2px;
    padding: 9px;
    margin: 3px;
}


section {
    border-left: 1px solid;
    border-bottom: 1px solid;
    padding-left: 5px;
    padding-bottom: 5px;
}

#b1 {
    background-color: rgb(200, 177, 221);
    border: 1px;
    padding: 29px;
    margin: 3px;
}
#b2 { background-color:rgb(83, 196, 196);
    border: 2px;
    padding: 29px;
    margin: 3px;

}
#b3 { background-color:rgb(240, 138, 138);
    border: 12px;
    padding: 29px;
    margin: 3px;
    
}

/*
body {  
    
    background-image: url(pp.jpg);
    background-size: 100%;
    background-repeat: no-repeat;

    } */

    footer { background-color: rgb(222, 179, 211);  }


form legend {
    font-style: italic;
    font-size: 1em;
    border: 1px black solid;
    border-radius: 6px;
    box-shadow: 5px 5px 5px black;
    background: rgb(7, 7, 95);
    color:white;
   
}

/* dieser grid realisiert durch Sana */ 


#gridteil { 
    display: grid;
    grid-template-areas:"prive  wohn   arbeit "
                         "prive   wohn   arbeit"
                         "prive  wohn   arbeit"
                          ;
    grid-template-columns:auto auto auto;
    align-items: center;
   justify-items: center;
  }
  
  #s1 { grid-area: prive ; }
  #s2 {grid-area: wohn;}
  #s3 {grid-area: arbeit;}
  #s1 { padding: 25 px; margin : 55px; border: 5px; }
  #s2 {padding: 25 px; margin : 55px; border: 5px;}
  #s3 {padding: 25 px; margin : 55px; border: 5px;}

  @media screen and (max-width:768px) {
    #gridteil { 
        
      display: grid;
      grid-template-areas: "prive prive"
                           "wohn wohn"
                            "arbeit arbeit"
                                 ;
      grid-template-columns: auto auto;
    
    }

}





/* dieser grid realisiert durch Hichem */ 

#container { 

    display: grid;
    grid-template-areas: "head head head"
                         "navig navig navig"
                          "haupt haupt zusatz"
                           "fuß fuß fuß"  ;
    grid-template-columns: auto auto 20%;
  
  }
  
  header { grid-area: head;  }
  nav { grid-area: navig; }
  main { grid-area: haupt; }
  aside {  grid-area: zusatz; }
  footer { grid-area: fuß; }

  


   
@media screen and (max-width:768px) {
    #container { 
  
      display: grid;
      grid-template-areas: "head head"
                           "navig navig"
                            "haupt haupt"
                            "zusatz zusatz"
                             "fuß fuß"  ;
      grid-template-columns: auto auto;
    
    }

}

/* tabelle schöner stylen */
table,th,td { 

    border: 1px solid;
    border-collapse: collapse;
    padding: 5px;
    background-color: beige;
}


/* flex Layout */ 

#flexid { 

    display: flex;
    flex-flow: row wrap;
}

#item3 { flex-grow: 2; }
#item1 { flex-grow: 1; }
#item2 { flex-grow: 1; }


#flex2 { 
    
    display: grid;
    grid-template-areas: "table foto "
                          "table foto" ;
    grid-template-columns: auto auto;                      
   }

   #f1 { 
       grid-area: table;
    }

   #f2 {  
         grid-area: foto;
    }
